> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/en/ab-test/mab-test/mab-metrics.md).

# Set MAB Success Metric

{% hint style="info" %}
For information on how to create a new metric, please refer to [Metric Management](/en/metric-management/metric.md).
{% endhint %}

MAB metric settings can be configured in the Data Analysis tab on the detail page.

![](https://143363954-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyAVlNQhS253reum0Ce94%2Fuploads%2Fgit-blob-8a76d497a97f8bbcc72825c1033f0bf3aa3ead38%2F3a3bd91-create_mab_metric_8b161b7af8566720.png?alt=media)

### MAB Success Metric

After clicking the "Set Metrics" button, the MAB metric settings popup appears where you can select a success metric.\
Note that only metrics that meet the following conditions can be registered as a MAB Success Metric.

A MAB Success Metric must be an "Event Metric" where both the numerator and denominator calculation types are "Count," and the denominator must be "Test Exposure" ("All Users"). The metric must be configured as items 1\~3 in the image below.

![](https://143363954-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyAVlNQhS253reum0Ce94%2Fuploads%2Fgit-blob-5d40bbad336c7e6c471d3d2810380d66091da4c0%2Fe56f78d-mab_success_metric_requirements_bfe56ed37291cab5.png?alt=media)

### MAB Metric Settings

MAB metric settings require you to select two items: "Success Metric" and "Calculation Condition."

The "Calculation Condition" defines that only events from the (numerator) that you set in the success metric are included in the metric calculation if they occur within a certain time (1 hour \~ 24 hours) after the user is exposed to the MAB Test.\
(Example in the image below: only events that occur within 1 hour after MAB Test exposure are counted as conversions)

![](https://143363954-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyAVlNQhS253reum0Ce94%2Fuploads%2Fgit-blob-1a196928cd61414ffee048c1e2ec64a0f8116155%2F6742e82-set_mab_metric_e086be6e8767e0da.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hackle.io/en/ab-test/mab-test/mab-metrics.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
